<?php
$Services = array(
	'1/tcp' => 'tcpmux',
	'1/udp' => 'tcpmux',
	'5/tcp' => 'rje',
	'5/udp' => 'rje',
	'7/tcp' => 'echo',
	'7/udp' => 'echo',
	'9/tcp' => 'discard',
	'9/udp' => 'discard',
	'11/tcp' => 'systat',
	'11/udp' => 'systat',
	'13/tcp' => 'daytime',
	'13/udp' => 'daytime',
	'17/tcp' => 'qotd',
	'17/udp' => 'qotd',
	'18/tcp' => 'msp',
	'18/udp' => 'msp',
	'19/tcp' => 'chargen',
	'19/udp' => 'chargen',
	'20/tcp' => 'ftp-data',
	'20/udp' => 'ftp-data',
	'21/tcp' => 'ftp',
	'21/udp' => 'ftp',
	'22/tcp' => 'ssh',
	'22/udp' => 'ssh',
	'23/tcp' => 'telnet',
	'23/udp' => 'telnet',
	'25/tcp' => 'smtp',
	'25/udp' => 'smtp',
	'37/tcp' => 'time',
	'37/udp' => 'time',
	'39/tcp' => 'rlp',
	'39/udp' => 'rlp',
	'42/tcp' => 'nameserver',
	'42/udp' => 'nameserver',
	'43/tcp' => 'nicname',
	'43/udp' => 'nicname',
	'49/tcp' => 'tacacs',
	'49/udp' => 'tacacs',
	'50/tcp' => 're-mail-ck',
	'50/udp' => 're-mail-ck',
	'53/tcp' => 'domain',
	'53/udp' => 'domain',
	'63/tcp' => 'whois',
	'63/udp' => 'whois',
	'67/tcp' => 'bootps',
	'67/udp' => 'bootps',
	'68/tcp' => 'bootpc',
	'68/udp' => 'bootpc',
	'69/tcp' => 'tftp',
	'69/udp' => 'tftp',
	'70/tcp' => 'gopher',
	'70/udp' => 'gopher',
	'71/tcp' => 'netrjs-1',
	'71/udp' => 'netrjs-1',
	'72/tcp' => 'netrjs-2',
	'72/udp' => 'netrjs-2',
	'73/tcp' => 'netrjs-3',
	'73/udp' => 'netrjs-3',
	'74/tcp' => 'netrjs-4',
	'74/udp' => 'netrjs-4',
	'79/tcp' => 'finger',
	'79/udp' => 'finger',
	'80/tcp' => 'http',
	'80/udp' => 'http',
	'88/tcp' => 'kerberos',
	'88/udp' => 'kerberos',
	'95/tcp' => 'supdup',
	'95/udp' => 'supdup',
	'101/tcp' => 'hostname',
	'101/udp' => 'hostname',
	'102/tcp' => 'iso-tsap',
	'105/tcp' => 'csnet-ns',
	'105/udp' => 'csnet-ns',
	'107/tcp' => 'rtelnet',
	'107/udp' => 'rtelnet',
	'109/tcp' => 'pop2',
	'109/udp' => 'pop2',
	'110/tcp' => 'pop3',
	'110/udp' => 'pop3',
	'111/tcp' => 'sunrpc',
	'111/udp' => 'sunrpc',
	'113/tcp' => 'auth',
	'113/udp' => 'auth',
	'115/tcp' => 'sftp',
	'115/udp' => 'sftp',
	'117/tcp' => 'uucp-path',
	'117/udp' => 'uucp-path',
	'119/tcp' => 'nntp',
	'119/udp' => 'nntp',
	'123/tcp' => 'ntp',
	'123/udp' => 'ntp',
	'137/tcp' => 'netbios-ns',
	'137/udp' => 'netbios-ns',
	'138/tcp' => 'netbios-dgm',
	'138/udp' => 'netbios-dgm',
	'139/tcp' => 'netbios-ssn',
	'139/udp' => 'netbios-ssn',
	'143/tcp' => 'imap',
	'143/udp' => 'imap',
	'161/tcp' => 'snmp',
	'161/udp' => 'snmp',
	'162/udp' => 'snmptrap',
	'163/tcp' => 'cmip-man',
	'163/udp' => 'cmip-man',
	'164/tcp' => 'cmip-agent',
	'164/udp' => 'cmip-agent',
	'174/tcp' => 'mailq',
	'174/udp' => 'mailq',
	'177/tcp' => 'xdmcp',
	'177/udp' => 'xdmcp',
	'178/tcp' => 'nextstep',
	'178/udp' => 'nextstep',
	'179/tcp' => 'bgp',
	'179/udp' => 'bgp',
	'191/tcp' => 'prospero',
	'191/udp' => 'prospero',
	'194/tcp' => 'irc',
	'194/udp' => 'irc',
	'199/tcp' => 'smux',
	'199/udp' => 'smux',
	'201/tcp' => 'at-rtmp',
	'201/udp' => 'at-rtmp',
	'202/tcp' => 'at-nbp',
	'202/udp' => 'at-nbp',
	'204/tcp' => 'at-echo',
	'204/udp' => 'at-echo',
	'206/tcp' => 'at-zis',
	'206/udp' => 'at-zis',
	'209/tcp' => 'qmtp',
	'209/udp' => 'qmtp',
	'z39'.'210/tcp' => 50,
	'z39'.'210/udp' => 50,
	'213/tcp' => 'ipx',
	'213/udp' => 'ipx',
	'220/tcp' => 'imap3',
	'220/udp' => 'imap3',
	'245/tcp' => 'link',
	'347/tcp' => 'fatserv',
	'347/udp' => 'fatserv',
	'363/tcp' => 'rsvp_tunnel',
	'363/udp' => 'rsvp_tunnel',
	'369/tcp' => 'rpc2portmap',
	'369/udp' => 'rpc2portmap',
	'370/tcp' => 'codaauth2',
	'370/udp' => 'codaauth2',
	'372/tcp' => 'ulistproc',
	'372/udp' => 'ulistproc',
	'389/tcp' => 'ldap',
	'389/udp' => 'ldap',
	'427/tcp' => 'svrloc',
	'427/udp' => 'svrloc',
	'434/tcp' => 'mobileip-agent',
	'434/udp' => 'mobileip-agent',
	'435/tcp' => 'mobilip-mn',
	'435/udp' => 'mobilip-mn',
	'443/tcp' => 'https',
	'443/udp' => 'https',
	'444/tcp' => 'snpp',
	'444/udp' => 'snpp',
	'445/tcp' => 'microsoft-ds',
	'445/udp' => 'microsoft-ds',
	'464/tcp' => 'kpasswd',
	'464/udp' => 'kpasswd',
	'468/tcp' => 'photuris',
	'468/udp' => 'photuris',
	'487/tcp' => 'saft',
	'487/udp' => 'saft',
	'488/tcp' => 'gss-http',
	'488/udp' => 'gss-http',
	'496/tcp' => 'pim-rp-disc',
	'496/udp' => 'pim-rp-disc',
	'500/tcp' => 'isakmp',
	'500/udp' => 'isakmp',
	'538/tcp' => 'gdomap',
	'538/udp' => 'gdomap',
	'535/tcp' => 'iiop',
	'535/udp' => 'iiop',
	'546/tcp' => 'dhcpv6-client',
	'546/udp' => 'dhcpv6-client',
	'547/tcp' => 'dhcpv6-server',
	'547/udp' => 'dhcpv6-server',
	'554/tcp' => 'rtsp',
	'554/udp' => 'rtsp',
	'563/tcp' => 'nntps',
	'563/udp' => 'nntps',
	'565/tcp' => 'whoami',
	'565/udp' => 'whoami',
	'587/tcp' => 'submission',
	'587/udp' => 'submission',
	'610/tcp' => 'npmp-local',
	'610/udp' => 'npmp-local',
	'611/tcp' => 'npmp-gui',
	'611/udp' => 'npmp-gui',
	'612/tcp' => 'hmmp-ind',
	'612/udp' => 'hmmp-ind',
	'631/tcp' => 'ipp',
	'631/udp' => 'ipp',
	'636/tcp' => 'ldaps',
	'636/udp' => 'ldaps',
	'674/tcp' => 'acap',
	'674/udp' => 'acap',
	'694/tcp' => 'ha-cluster',
	'694/udp' => 'ha-cluster',
	'749/tcp' => 'kerberos-adm',
	'750/udp' => 'kerberos-iv',
	'750/tcp' => 'kerberos-iv',
	'765/tcp' => 'webster',
	'765/udp' => 'webster',
	'767/tcp' => 'phonebook',
	'767/udp' => 'phonebook',
	'873/tcp' => 'rsync',
	'873/udp' => 'rsync',
	'992/tcp' => 'telnets',
	'992/udp' => 'telnets',
	'993/tcp' => 'imaps',
	'993/udp' => 'imaps',
	'994/tcp' => 'ircs',
	'994/udp' => 'ircs',
	'995/tcp' => 'pop3s',
	'995/udp' => 'pop3s',
	'512/tcp' => 'exec',
	'512/udp' => 'biff',
	'513/tcp' => 'login',
	'513/udp' => 'who',
	'514/tcp' => 'shell',
	'514/udp' => 'syslog',
	'515/tcp' => 'printer',
	'515/udp' => 'printer',
	'517/udp' => 'talk',
	'518/udp' => 'ntalk',
	'519/tcp' => 'utime',
	'519/udp' => 'utime',
	'520/tcp' => 'efs',
	'520/udp' => 'router',
	'521/tcp' => 'ripng',
	'521/udp' => 'ripng',
	'525/tcp' => 'timed',
	'525/udp' => 'timed',
	'526/tcp' => 'tempo',
	'530/tcp' => 'courier',
	'531/tcp' => 'conference',
	'532/tcp' => 'netnews',
	'533/udp' => 'netwall',
	'540/tcp' => 'uucp',
	'543/tcp' => 'klogin',
	'544/tcp' => 'kshell',
	'556/tcp' => 'remotefs',
	'1080/tcp' => 'socks',
	'1080/udp' => 'socks',
	'1236/tcp' => 'bvcontrol',
	'1236/udp' => 'bvcontrol',
	'1300/tcp' => 'h323hostcallsc',
	'1300/udp' => 'h323hostcallsc',
	'1433/tcp' => 'ms-sql-s',
	'1433/udp' => 'ms-sql-s',
	'1434/tcp' => 'ms-sql-m',
	'1434/udp' => 'ms-sql-m',
	'1494/tcp' => 'ica',
	'1494/udp' => 'ica',
	'1512/tcp' => 'wins',
	'1512/udp' => 'wins',
	'1524/tcp' => 'ingreslock',
	'1524/udp' => 'ingreslock',
	'1525/tcp' => 'prospero-np',
	'1525/udp' => 'prospero-np',
	'1645/tcp' => 'datametrics',
	'1645/udp' => 'datametrics',
	'1646/tcp' => 'sa-msg-port',
	'1646/udp' => 'sa-msg-port',
	'1649/tcp' => 'kermit',
	'1649/udp' => 'kermit',
	'1701/tcp' => 'l2tp',
	'1701/udp' => 'l2tp',
	'1718/tcp' => 'h323gatedisc',
	'1718/udp' => 'h323gatedisc',
	'1719/tcp' => 'h323gatestat',
	'1719/udp' => 'h323gatestat',
	'1720/tcp' => 'h323hostcall',
	'1720/udp' => 'h323hostcall',
	'1758/tcp' => 'tftp-mcast',
	'1758/udp' => 'tftp-mcast',
	'1759/udp' => 'mtftp',
	'1789/tcp' => 'hello',
	'1789/udp' => 'hello',
	'1812/tcp' => 'radius',
	'1812/udp' => 'radius',
	'1813/tcp' => 'radius-acct',
	'1813/udp' => 'radius-acct',
	'1911/tcp' => 'mtp',
	'1911/udp' => 'mtp',
	'1985/tcp' => 'hsrp',
	'1985/udp' => 'hsrp',
	'1986/tcp' => 'licensedaemon',
	'1986/udp' => 'licensedaemon',
	'1997/tcp' => 'gdp-port',
	'1997/udp' => 'gdp-port',
	'2049/tcp' => 'nfs',
	'2049/udp' => 'nfs',
	'2102/tcp' => 'zephyr-srv',
	'2102/udp' => 'zephyr-srv',
	'2103/tcp' => 'zephyr-clt',
	'2103/udp' => 'zephyr-clt',
	'2104/tcp' => 'zephyr-hm',
	'2104/udp' => 'zephyr-hm',
	'2401/tcp' => 'cvspserver',
	'2401/udp' => 'cvspserver',
	'2430/tcp' => 'venus',
	'2430/udp' => 'venus',
	'2431/tcp' => 'venus-se',
	'2431/udp' => 'venus-se',
	'2432/tcp' => 'codasrv',
	'2432/udp' => 'codasrv',
	'2433/tcp' => 'codasrv-se',
	'2433/udp' => 'codasrv-se',
	'2600/tcp' => 'hpstgmgr',
	'2600/udp' => 'hpstgmgr',
	'2601/tcp' => 'discp-client',
	'2601/udp' => 'discp-client',
	'2602/tcp' => 'discp-server',
	'2602/udp' => 'discp-server',
	'2603/tcp' => 'servicemeter',
	'2603/udp' => 'servicemeter',
	'2604/tcp' => 'nsc-ccs',
	'2604/udp' => 'nsc-ccs',
	'2605/tcp' => 'nsc-posa',
	'2605/udp' => 'nsc-posa',
	'2606/tcp' => 'netmon',
	'2606/udp' => 'netmon',
	'2809/tcp' => 'corbaloc',
	'3130/tcp' => 'icpv2',
	'3130/udp' => 'icpv2',
	'3306/tcp' => 'mysql',
	'3306/udp' => 'mysql',
	'3346/tcp' => 'trnsprntproxy',
	'3346/udp' => 'trnsprntproxy',
	'4011/udp' => 'pxe',
	'4321/tcp' => 'rwhois',
	'4321/udp' => 'rwhois',
	'4444/tcp' => 'krb524',
	'4444/udp' => 'krb524',
	'5002/tcp' => 'rfe',
	'5002/udp' => 'rfe',
	'5308/tcp' => 'cfengine',
	'5308/udp' => 'cfengine',
	'5999/tcp' => 'cvsup',
	'5999/udp' => 'cvsup',
	'6000/tcp' => 'x11',
	'7000/tcp' => 'afs3-fileserver',
	'7000/udp' => 'afs3-fileserver',
	'7001/tcp' => 'afs3-callback',
	'7001/udp' => 'afs3-callback',
	'7002/tcp' => 'afs3-prserver',
	'7002/udp' => 'afs3-prserver',
	'7003/tcp' => 'afs3-vlserver',
	'7003/udp' => 'afs3-vlserver',
	'7004/tcp' => 'afs3-kaserver',
	'7004/udp' => 'afs3-kaserver',
	'7005/tcp' => 'afs3-volser',
	'7005/udp' => 'afs3-volser',
	'7006/tcp' => 'afs3-errors',
	'7006/udp' => 'afs3-errors',
	'7007/tcp' => 'afs3-bos',
	'7007/udp' => 'afs3-bos',
	'7008/tcp' => 'afs3-update',
	'7008/udp' => 'afs3-update',
	'7009/tcp' => 'afs3-rmtsys',
	'7009/udp' => 'afs3-rmtsys',
	'9876/tcp' => 'sd',
	'9876/udp' => 'sd',
	'10080/tcp' => 'amanda',
	'10080/udp' => 'amanda',
	'11371/tcp' => 'pgpkeyserver',
	'11371/udp' => 'pgpkeyserver',
	'11720/tcp' => 'h323callsigalt',
	'11720/udp' => 'h323callsigalt',
	'13720/tcp' => 'bprd',
	'13720/udp' => 'bprd',
	'13721/tcp' => 'bpdbm',
	'13721/udp' => 'bpdbm',
	'13722/tcp' => 'bpjava-msvc',
	'13722/udp' => 'bpjava-msvc',
	'13724/tcp' => 'vnetd',
	'13724/udp' => 'vnetd',
	'13782/tcp' => 'bpcd',
	'13782/udp' => 'bpcd',
	'13783/tcp' => 'vopied',
	'13783/udp' => 'vopied',
	'22273/tcp' => 'wnn6',
	'26000/tcp' => 'quake',
	'26000/udp' => 'quake',
	'26208/tcp' => 'wnn6-ds',
	'26208/udp' => 'wnn6-ds',
	'33434/tcp' => 'traceroute',
	'33434/udp' => 'traceroute',
	'751/udp' => 'kerberos_master',
	'751/tcp' => 'kerberos_master',
	'752/udp' => 'passwd_server',
	'760/tcp' => 'krbupdate',
	'1109/tcp' => 'kpop',
	'2053/tcp' => 'knetd',
	'754/tcp' => 'krb5_prop',
	'2105/tcp' => 'eklogin',
	'871/tcp' => 'supfilesrv',
	'1127/tcp' => 'supfiledbg',
	'15/tcp' => 'netstat',
	'98/tcp' => 'linuxconf',
	'106/tcp' => 'poppassd',
	'106/udp' => 'poppassd',
	'465/tcp' => 'smtps',
	'616/tcp' => 'gii',
	'808/tcp' => 'omirr',
	'808/udp' => 'omirr',
	'901/tcp' => 'swat',
	'953/tcp' => 'rndc',
	'953/udp' => 'rndc',
	'1178/tcp' => 'skkserv',
	'1313/tcp' => 'xtel',
	'1529/tcp' => 'support',
	'2003/tcp' => 'cfinger',
	'2150/tcp' => 'ninstall',
	'2150/udp' => 'ninstall',
	'2988/tcp' => 'afbackup',
	'2988/udp' => 'afbackup',
	'3128/tcp' => 'squid',
	'3455/tcp' => 'prsvp',
	'3455/udp' => 'prsvp',
	'5432/tcp' => 'postgres',
	'5432/udp' => 'postgres',
	'4557/tcp' => 'fax',
	'4559/tcp' => 'hylafax',
	'5232/tcp' => 'sgi-dgl',
	'5232/udp' => 'sgi-dgl',
	'5354/tcp' => 'noclog',
	'5354/udp' => 'noclog',
	'5355/tcp' => 'hostmon',
	'5355/udp' => 'hostmon',
	'5680/tcp' => 'canna',
	'6010/tcp' => 'x11-ssh-offset',
	'6667/tcp' => 'ircd',
	'6667/udp' => 'ircd',
	'7100/tcp' => 'xfs',
	'7666/tcp' => 'tircproxy',
	'8008/tcp' => 'http-alt',
	'8008/udp' => 'http-alt',
	'8080/tcp' => 'webcache',
	'8080/udp' => 'webcache',
	'8081/tcp' => 'tproxy',
	'8081/udp' => 'tproxy',
	'9100/tcp' => 'jetdirect',
	'9359/udp' => 'mandelspawn',
	'10081/tcp' => 'kamanda',
	'10081/udp' => 'kamanda',
	'10082/tcp' => 'amandaidx',
	'10083/tcp' => 'amidxtape',
	'20011/tcp' => 'isdnlog',
	'20011/udp' => 'isdnlog',
	'20012/tcp' => 'vboxd',
	'20012/udp' => 'vboxd',
	'22305/tcp' => 'wnn4_Kr',
	'22289/tcp' => 'wnn4_Cn',
	'22321/tcp' => 'wnn4_Tw',
	'24554/tcp' => 'binkp',
	'24554/udp' => 'binkp',
	'27374/tcp' => 'asp',
	'27374/udp' => 'asp',
	'60177/tcp' => 'tfido',
	'60177/udp' => 'tfido',
	'60179/tcp' => 'fido',
	'60179/udp' => 'fido',
);
